# Forms Importer Library

[Live Importer](https://main--afb--adobe.hlx.live/tools/importer/forms/ui/index.html)


## Status
[![codecov](https://img.shields.io/codecov/c/github/adobe/forms-importer-lib.svg)](https://codecov.io/gh/adobe/forms-importer-lib)
[![CircleCI](https://img.shields.io/circleci/project/github/adobe/forms-importer-lib.svg)](https://circleci.com/gh/adobe/forms-importer-lib)
[![GitHub license](https://img.shields.io/github/license/adobe/forms-importer-lib.svg)](https://github.com/adobe/forms-importer-lib/blob/main/LICENSE.txt)
[![GitHub issues](https://img.shields.io/github/issues/adobe/forms-importer-lib.svg)](https://github.com/adobe/forms-importer-lib/issues)
[![LGTM Code Quality Grade: JavaScript](https://img.shields.io/lgtm/grade/javascript/g/adobe/forms-importer-lib.svg?logo=lgtm&logoWidth=18)](https://lgtm.com/projects/g/adobe/forms-importer-lib)
[![semantic-release](https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--release-e10079.svg)](https://github.com/semantic-release/semantic-release)

## Installation

## Usage

```bash
curl --location --request POST 'https://g7ory75qdb.execute-api.ap-south-1.amazonaws.com/vega-services/importer' \
--header 'Content-Type: application/json' \
--data-raw '{"url":"https://www.stewart.com/en/deed-documentary-stamps.html/Users/vijayjalagari/Documents/github/forms-importer/ui/js/script.js","options":{"includePlainText":false}}'
```

For more, see the [API documentation](docs/API.md).

## Development

### Deploying Forms Importer Library

All commits to main that pass the testing will be deployed automatically. All commits to branches that will pass the testing will get commited as `/helix-services/service@ci<num>` and tagged with the CI build number.
